<div class="row">
  <div class="offset-md-3 col-md-6 col-sm-12 col-xs-12">
    <nb-card>
      <nb-card-header>Register New Admin</nb-card-header>
      <nb-card-body>
        <form role="form">
          <div class="form-content">
            <div class="form-avatar">
              <label class="hoverable" for="fileInput">
                <img [src]="url ? url : 'assets/images/admin.png'"> 
                <div class="hover-text">
                  <nb-icon icon="camera"></nb-icon>
                </div>
                <div class="background"></div>
              </label>
              <br/>
              <input id="fileInput" type='file' (change)="onSelectFile($event)">
            </div>
            <div class="form-group">
              <input type="text" [(ngModel)]="username" [ngModelOptions]="{standalone: true}"
                class="form-control input-underline input-lg" id="" placeholder="Username" required>
            </div>

            <div class="form-group">
              <input type="password" [(ngModel)]="password" [ngModelOptions]="{standalone: true}"
                class="form-control input-underline input-lg" id="" placeholder="Password" required>
            </div>

            <div class="form-group">
              <input type="password" [(ngModel)]="confirmpassword" [ngModelOptions]="{standalone: true}"
                class="form-control input-underline input-lg" id="" placeholder="Confirm Password" required>
            </div>
          </div>
          <div class="pt-5 text-right">
            <button class="btn btn-outline-warning" (click)="register()" >Register</button>
        </div>
        </form>
      </nb-card-body>
    </nb-card>
  </div>
</div>